Bug 173622 - crystalsvg kde theme searched for icons on gtk+ application startup
crystalsvg kde theme searched for icons on gtk+ application startup
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk+ (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-18 13:38 EST by dann
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-27 01:21:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dann 2005-11-18 13:38:35 EST
Description of problem:
Do:
strace -o /tmp/gcalctool.strace gcalctool
and then look at /tmp/gcalctool.strace
(it can be any GNOME application gcalctool is just an example)
there are 296 stat system calls for */crystalsvg/*

But crystalsvg is a KDE thingy, not gnome:
rpm -q --whatprovides /usr/share/icons/crystalsvg/index.theme   
kdelibs-3.4.2-0.fc4.1

So it seems that either crystalsvg needs an icon-theme.cache created, or it
needs to be avoided otherwise it slows down Gnome...


Version-Release number of selected component (if applicable):
gtk+-1.2.10-39
Comment 1 Matthias Clasen 2005-11-21 23:46:37 EST
You can easily create an icon cache yourself, by running (as root)

gtk-update-icon-cache /usr/share/icons/crystalsvg
Comment 2 Matthias Clasen 2006-11-27 01:21:49 EST
Thank you for the bug report. However, Fedora Project no longer maintains this
version of the product. Please upgrade to the latest version and open a new bug
if the problem persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older
releases, and if you believe this bug is interesting to them, please report the
problem against Fedora Legacy component


Note You need to log in before you can comment on or make changes to this bug.